/*
 * Copyright (c) 2005-2018 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


package de.tudarmstadt.maki.simonstrator.api.component.sensor.environment.data.properties;

import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.Location;
import de.tudarmstadt.maki.simonstrator.api.component.vehicular.roadnetwork.RoadNetworkEdge;

/**
 * @author Bjoern Bueschke
 * @version 1.0 at 26.03.2018
 *
 */
public class BumpProperty extends AbstractRoadProperty {

	private final boolean _bump;
	
	public BumpProperty(Location pLocation, RoadNetworkEdge pEdge, boolean pBump) {
		super(pLocation, pEdge);
		_bump = pBump;
	}

	public boolean hasBump() {
		return _bump;
	}

	@Override
	public RoadProperty getDefaultProperty() {
		return new BumpProperty(getLocation(), getEdge(), false);
	}

	@Override
	public Object getValue() {
		return hasBump();
	}

	@Override
	public BumpProperty clone() {
		return new BumpProperty(getLocation(), getEdge(), _bump);
	}

}
