/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


package de.tudarmstadt.maki.simonstrator.api.component.sensor.environment.data.properties;

import de.tudarmstadt.maki.simonstrator.api.component.vehicular.roadnetwork.RoadNetworkEdge;

/**
 * @author Tobias Meuser (tobias.meuser@kom.tu-darmstadt.de)
 * @version 1.0 at 27.02.2018
 *
 */
public interface RoadProperty
		extends LocationBasedEnvironmentProperty, AggregatedProperty, Comparable<RoadProperty>, Cloneable {
	RoadNetworkEdge getEdge();

	void setEdge(RoadNetworkEdge pEdge);

	RoadProperty getDefaultProperty();

	long getDetectionDate();

	Object getValue();

	boolean equalLocation(RoadProperty pRoadProperty);

	boolean isDetourable();

	RoadProperty clone();

	long getDuration();

	void setDuration(long pDuration);
}
