/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


package de.tudarmstadt.maki.simonstrator.api.component.vehicular.roadnetwork.paths;

import de.tudarmstadt.maki.simonstrator.api.component.vehicular.roadnetwork.RoadNetworkEdge;

/**
 * @author Tobias Meuser (tobias.meuser@kom.tu-darmstadt.de)
 * @version 1.0 at 28.11.2017
 *
 */
public interface VehiclePathTracker {

	/**
	 * @param pStart
	 * @param pOut
	 * @return
	 */
	double getTransitionProbability(RoadNetworkEdge pStart, RoadNetworkEdge pOut);

	/**
	 * @param pStart
	 * @param pOut
	 * @return
	 */
	double getTravelTime(RoadNetworkEdge pStart, RoadNetworkEdge pOut);

	double getTravelTime(RoadNetworkEdge pRoadNetworkEdge);

	long getLastChanged();

	void setEdge(String pID, RoadNetworkEdge pRoadNetworkEdge, long pTime);

	void disableTracking();

}
