package de.tudarmstadt.maki.simonstrator.api.web;

import java.io.File;

public class WebConfigurationManager {
    private static final File CONFIGURATION_FILE = new File(new File("assets/web/"), "configuration.xml");
    private static final WebConfigurationManager INSTANCE = new WebConfigurationManager();
	private static boolean ACTIVE;

    private WebConfiguration _config;

    public static WebConfigurationManager getInstance() {
        return INSTANCE;
    }

    public WebConfigurationManager() {
        File folder = CONFIGURATION_FILE.getParentFile();
        if (!folder.exists()) {
            if (!folder.mkdirs()) {
                throw new AssertionError(
                        "Could not create file: " + folder.getAbsolutePath());
            }
        }

        if (!CONFIGURATION_FILE.exists()) {
            _config = new WebConfiguration();
            store();
        }

        _config = WebConfiguration.load(CONFIGURATION_FILE);
    }

    public static WebConfiguration getConfig() {
        return INSTANCE._config;
    }

    public static void storeConfig() {
        INSTANCE._config.store(CONFIGURATION_FILE);
    }

    public void store() {
        _config.store(CONFIGURATION_FILE);
    }

	public static void setActive() {
		ACTIVE = true;
	}

	public static boolean isActive() {
		return ACTIVE;
	}
}
